Index: /code/branches/console/src/libraries/core/IOConsole.cc
===================================================================
--- /code/branches/console/src/libraries/core/IOConsole.cc	(revision 6006)
+++ /code/branches/console/src/libraries/core/IOConsole.cc	(revision 6007)
@@ -54,6 +54,4 @@
 #ifdef ORXONOX_PLATFORM_UNIX
 
-    termios* IOConsole::originalTerminalSettings_;
-
     namespace EscapeMode
     {
@@ -69,7 +67,7 @@
         : shell_(new Shell("IOConsole", false))
         , buffer_(shell_->getInputBuffer())
+        , originalTerminalSettings_(new termios())
         , bStatusPrinted_(false)
     {
-        this->originalTerminalSettings_ = new termios();
         this->setTerminalMode();
         this->shell_->registerListener(this);
Index: /code/branches/console/src/libraries/core/IOConsole.h
===================================================================
--- /code/branches/console/src/libraries/core/IOConsole.h	(revision 6006)
+++ /code/branches/console/src/libraries/core/IOConsole.h	(revision 6007)
@@ -55,5 +55,5 @@
 
         void setTerminalMode();
-        static void resetTerminalMode();
+        void resetTerminalMode();
         int getTerminalSize(int* x, int* y);
 
@@ -72,5 +72,5 @@
         Shell*                  shell_;
         InputBuffer*            buffer_;
-        static termios*         originalTerminalSettings_;
+        termios*                originalTerminalSettings_;
         bool                    bPrintStatusLine_;
         bool                    bStatusPrinted_;
Index: /code/branches/console/src/libraries/core/PathConfig.cc
===================================================================
--- /code/branches/console/src/libraries/core/PathConfig.cc	(revision 6006)
+++ /code/branches/console/src/libraries/core/PathConfig.cc	(revision 6007)
@@ -263,4 +263,8 @@
         putenv(const_cast<char*>(("PATH=" + pathVariable + ";" + modulePath_.string()).c_str()));
 
+        // Make sure the path exists, otherwise don't load modules
+        if (!boost::filesystem::exists(modulePath_))
+            return modulePaths;
+
         boost::filesystem::directory_iterator file(modulePath_);
         boost::filesystem::directory_iterator end;
Index: /code/branches/console/src/libraries/util/OutputHandler.cc
===================================================================
--- /code/branches/console/src/libraries/util/OutputHandler.cc	(revision 6006)
+++ /code/branches/console/src/libraries/util/OutputHandler.cc	(revision 6007)
@@ -70,5 +70,5 @@
             called from getInstance!)
         */
-        LogFileWriter(OutputHandler& outputHandler)
+        LogFileWriter()
             : OutputListener(OutputHandler::logFileOutputListenerName_s)
         {
@@ -92,7 +92,4 @@
 
             this->outputStream_ = &this->logFile_;
-            // Use default level until we get the configValue from the Core
-            this->setSoftDebugLevel(OutputLevel::Debug);
-            outputHandler.registerOutputListener(this);
         }
 
@@ -147,11 +144,8 @@
             called from getInstance!)
         */
-        MemoryLogWriter(OutputHandler& outputHandler)
+        MemoryLogWriter()
             : OutputListener("memoryLog")
         {
             this->outputStream_ = &this->buffer_;
-            // We capture as much input as the listener with the highest level
-            this->setSoftDebugLevel(OutputHandler::getSoftDebugLevel());
-            outputHandler.registerOutputListener(this);
         }
 
@@ -182,6 +176,13 @@
         : outputLevel_(OutputLevel::Verbose)
     {
-        this->logFile_ = new LogFileWriter(*this);
-        this->output_  = new MemoryLogWriter(*this);
+        this->logFile_ = new LogFileWriter();
+        // Use default level until we get the configValue from the Core
+        this->logFile_->softDebugLevel_ = OutputLevel::Debug;
+        this->registerOutputListener(this->logFile_);
+
+        this->output_  = new MemoryLogWriter();
+        // We capture as much input as the listener with the highest level
+        this->output_->softDebugLevel_ = getSoftDebugLevel();
+        this->registerOutputListener(this->output_);
     }
 
